# -*- coding: utf-8 -*-

import os

from configobj import ConfigObj

config_files = [ os.path.join('/', 'etc', 'liveusb-creator', f )
                 for f in [ 'defaults.ini', 'vendor.ini', 'site.ini' ] ]

# XXX: move defaults to a proper defaults.ini file?
default_config = {
    'branding': {
        'distribution' : 'Tails',
        'header' : ':/tails-liveusb-header.png'
        },
    'main_liveos_dir' : 'live',
    'liveos_toplevel_files' : [ 'autorun.bat', 'autorun.inf', 'boot', '.disk',
                                'doc', 'live', 'isolinux', 'syslinux' ]
}

config = ConfigObj(default_config)

for f in config_files:
    config.merge(ConfigObj(f))
